Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Block mit VBA erstellen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Block mit VBA erstellen (150 mal gelesen)
JoeG
Mitglied
Systemadmin NX und Autocad


Sehen Sie sich das Profil von JoeG an!   Senden Sie eine Private Message an JoeG  Schreiben Sie einen Gästebucheintrag für JoeG

Beiträge: 122
Registriert: 18.10.2002

Windows 7
Autocad 2013
Unigraphics NX9

erstellt am: 18. Okt. 2002 19:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo
Ich mochte mit VBA einen Block erstellen.
Wie kann ich die Objekte eines Auswahlsatzes in einen Block aufnehmen?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd Cuder
Mitglied
Selbständig


Sehen Sie sich das Profil von Bernd Cuder an!   Senden Sie eine Private Message an Bernd Cuder  Schreiben Sie einen Gästebucheintrag für Bernd Cuder

Beiträge: 692
Registriert: 10.07.2002

AutoCAD 2002/2004/2005
unter Windows 2000
Professional SP3
PIV 3.4GHz 1024MB
NVIDIA GeForce FX Go5700

erstellt am: 18. Okt. 2002 21:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für JoeG 10 Unities + Antwort hilfreich

Der Block wenn definiert ist wie Modelspace oder Paperspace
anzusprechen, also

Dim objBlock As AcadBlock
Dim dblEfp(2) As Double

dblEfp(0) = 0: dblEfp(1) = 0: dblEfp(2) = 0

Set objBlock = ThisDrawing.Blocks.Add(dblEfp, "Testblock")

objBlock.AddLine dblSp, dblEp ''Punkte nicht definiert

Bei Auswahlsatz:

Alle Elemente aus dem Auswahlsatz in ein Array geben:

Dim objElemente() As Object

und dann diese Funktion:

RetVal = object.CopyObjects(Objects[, Owner][, IDPairs])

siehe Acad VBA Hilfe


------------------
Bernd Cuder
Cad&Co makes CAD easy

[Diese Nachricht wurde von Bernd Cuder am 18. Oktober 2002 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

JoeG
Mitglied
Systemadmin NX und Autocad


Sehen Sie sich das Profil von JoeG an!   Senden Sie eine Private Message an JoeG  Schreiben Sie einen Gästebucheintrag für JoeG

Beiträge: 122
Registriert: 18.10.2002

erstellt am: 21. Okt. 2002 06:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke für die Lösung

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz